Subject: bug#60060: 29.0.50; tramp-tests leave temporary files behind

From: Michael Albinus <[email-masked]>
Date: Fri, 16 Dec 2022 09:42:31 +0100

Stefan Kangas <[email-masked]> writes:

Hi Stefan,

>> I've pushed a fix to the emacs-29 branch which should cleanup failing
>> file-local-copy calls. In my environment, /tmp is clean now after
>> running tramp-tests.el.
>>
>> Could you pls recheck?
>
> I've tested using "make -C test tramp-tests".  After bootstrap,
> everything is fine, so I'm closing this bug.  Thanks.

Thanks for the confirmation.

> BTW, I saw this failure before bootstrap but I'm not sure if it's worth
> fixing:
>
> Test tramp-test47-delay-load condition:
>     (ert-test-failed
>      ((should
>        (string-match-p
> 	(tramp-compat-rx "Tramp loaded: nil" ... "Tramp loaded: nil" ...
> "Tramp loaded: " ... ...)
> 	(shell-command-to-string ...)))
>       :form
>       (string-match-p "Tramp loaded: nil[\n\15]+Tramp loaded:
> nil[\n\15]+Tramp loaded: t[\n\15]+" "Tramp loaded: nil\nTramp loaded:
> nil\nSource file ‘/home/skangas/wip/emacs/lisp/emacs-lisp/subr-x.el’
> newer than byte-compiled file; using older file\nSource file
> ‘/home/skangas/wip/emacs/lisp/emacs-lisp/cl-macs.el’ newer than
> byte-compiled file; using older file\nSource file
> ‘/home/skangas/wip/emacs/lisp/comint.el’ newer than byte-compiled
> file; using older file\nSource file
> ‘/home/skangas/wip/emacs/lisp/cus-edit.el’ newer than byte-compiled
> file; using older file\nTramp loaded: t\n")
>       :value nil))
>    FAILED  85/88  tramp-test47-delay-load (0.207643 sec) at
> lisp/net/tramp-tests.el:7534

No, it isn't an error. tramp-test47-delay-load checks messages in the
*Messages* buffer. Since your Emacs wan't compiled, there were also
messages like

--8<---------------cut here---------------start------------->8---
Source file ‘/home/skangas/wip/emacs/lisp/comint.el’ newer than byte-compiled file; using older file
--8<---------------cut here---------------end--------------->8---

which confuse this check.

Best regards, Michael.